Subject: bug#8679: 24.0.50; wrong isearch highlighting for mismatch

From: "Drew Adams" <[email-masked]>
Date: Mon, 16 May 2011 13:36:50 -0700

In this case the mismatch highlighting is inaccurate:
 
emacs -Q
 
C-x b *scratch*
 
C-s ZZZZ
 
The entire search string is highlighted as a mismatch, which is correct.
 
M-e M-a e
 
So the edited search string is eZZZZ.
 
C-s
 
The entire search string, `eZZZZ' is highlighted, even though there are
matches for the `e'.
 
Not sure there is an easy fix for this one.  And it's not very
important.  But worth logging for future reference, at least.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2011-05-10 on 3249CTO
 Windowing system distributor `Microsoft Corp.', version 5.1.2600
 configured using `configure --with-gcc (4.5) --no-opt --cflags
 -Ic:/build/include'